Devuan bug report logs - #527
udev rule for btrfs is not built correctly (fwd)

version graph

Package: eudev; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: Bodo Eggert <7eggert@online.de>

Date: Thu, 3 Dec 2020 22:03:01 UTC

Severity: normal

Found in version 3.2.7-6

Fixed in version 3.2.9-9

Done: dak@devuan.org

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: dak@devuan.org
Subject: bug#527: marked as done (udev rule for btrfs is not built
 correctly (fwd))
Message-ID: <handler.527.D527.16145364026364.ackdone@bugs.devuan.org>
References: <1614536117.679337.31438.nullmailer@dak.localnet.devuan.org>
 <d93dc979-13ae-94b8-0fd-98e7e04bbac9@be10.lrz>
X-Devuan-PR-Message: closed 527
X-Devuan-PR-Package: eudev
Reply-To: 527@bugs.devuan.org
Date: Sun, 28 Feb 2021 18:33:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1614537182-6466-0"
[Message part 1 (text/plain, inline)]
Your message dated Sun, 28 Feb 2021 18:15:17 +0000
with message-id <1614536117.679337.31438.nullmailer@dak.localnet.devuan.org>
and subject line #527: fixed in src:eudev version 3.2.9-9
has caused the Devuan bug report #527,
regarding udev rule for btrfs is not built correctly (fwd)
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.devuan.org
immediately.)


-- 
527: https://bugs.devuan.org/cgi/bugreport.cgi?bug=527
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Bodo Eggert <7eggert@online.de>
To: submit@bugs.devuan.org
Subject: udev rule for btrfs is not built correctly (fwd)
Date: Thu, 3 Dec 2020 22:51:39 +0100 (CET)
Package: eudev
Version: 3.2.7-6

This bug has been described here; too:
https://bugs.gentoo.org/show_bug.cgi?id=739268

tl;dr:
messages saying "Aug 27 16:30:50 MiniHTPC2 udevd[2291]: failed to execute 
'/usr/lib/udev/${exec_prefix}/bin/udevadm' '${exec_prefix}/bin/udevadm 
trigger -s block -p ID_BTRFS_READY=0': No such file or directory" do 
appear in dmesg log (similar on my system, except for the host name)
To fix, ${exec_prefix} needs to be set in the build scripts

I fixed it locally; until then, the config files were original.

Effective local patch:
--- /lib/udev/rules.d/64-btrfs.rules~   2019-02-09 13:22:24.000000000 +0100
+++ /lib/udev/rules.d/64-btrfs.rules    2020-11-16 15:02:07.720000000 +0100
@@ -11,6 +11,6 @@ IMPORT{builtin}="btrfs ready $devnode"
 ENV{ID_BTRFS_READY}=="0", ENV{SYSTEMD_READY}="0"
 
 # reconsider pending devices in case when multidevice volume awaits
-ENV{ID_BTRFS_READY}=="1", RUN+="${exec_prefix}/bin/udevadm trigger -s block -p ID_BTRFS_READY=0"
+ENV{ID_BTRFS_READY}=="1", RUN+="/bin/udevadm trigger -s block -p ID_BTRFS_READY=0"
 
 LABEL="btrfs_end"


Have a nice day; 
	Bodo Eggert
[Message part 3 (message/rfc822, inline)]
From: dak@devuan.org
To: 527-done@bugs.devuan.org
Subject: #527: fixed in src:eudev version 3.2.9-9
Date: Sun, 28 Feb 2021 18:15:17 +0000
Version: 3.2.9-9

Source package eudev (3.2.9-9) added to Devuan suite unstable.

This closes bug report 527.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 26 Feb 2021 13:49:24 +0100
Source: eudev
Architecture: source
Version: 3.2.9-9
Distribution: unstable
Urgency: medium
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Changed-By: Svante Signell <svante.signell@gmail.com>
Closes: 527 538 548
Changes:
 eudev (3.2.9-9) unstable; urgency=medium
 .
   * debian/rules: Add --bindir=/bin to CONFFLAGS to fix path in 64-btrfs.rules.
     Problem found upstream: https://bugs.gentoo.org/739268 (Closes: #527, #538)
   * debian/eudev.postinst: Fix postinst when input, kvm or render groups, with
     gid >= 1000 are present. Solution proposed by Bob Proulx <bob@proulx.com>
     (Closes: #548)
Checksums-Sha1:
 e390dd847746a1d010e72b83b784ad383ae54e2a 2345 eudev_3.2.9-9.dsc
 fd2e0f54064a9f057016246749054007ab52fa0a 62368 eudev_3.2.9-9.debian.tar.xz
 e7cb1a0ec0259c408de7dd9c7462090277f66a86 5154 eudev_3.2.9-9_source.buildinfo
Checksums-Sha256:
 fe8b82f8727eea2e65ac3ab296a1971c5544380dc17064b21b0d3eea2d7a9b98 2345 eudev_3.2.9-9.dsc
 69a0b9b8187f061fbc3b4365a294f2c9a8676fbeba35b1a2b7cbae827a8f7191 62368 eudev_3.2.9-9.debian.tar.xz
 13b4a65fb342fa91c9da0c0dac342e5c556bb69b8a199232b856883b48e4aedd 5154 eudev_3.2.9-9_source.buildinfo
Files:
 253dcad1ff87a0862224435eb81ef6fc 2345 admin optional eudev_3.2.9-9.dsc
 665699c5a11e75f67223f9e13e9bcf46 62368 admin optional eudev_3.2.9-9.debian.tar.xz
 900fc1146f86b024c22cfcce7f8f189c 5154 admin optional eudev_3.2.9-9_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAmA720EACgkQlFMhJFQZ
IvuKPwf/dQl9prglyLhz/uBvMpfKV4XAfwFCfERl0Hbb2uEUeCGLe5sp/PoN1oiy
IVkrD9UcSD24U8mjneE7vps/Y1K2M5k1HsGPrhuey+us5MY/CvQCBC6jVOACEkE6
H2+h8FSb/qqapVpNVukY17PoqXayQ8ypQlfcTvH2UOXtdNPAwFfjwO/gKOCZ0IOa
EsPJ7Hrrsx1SRpiIkiMXiluz4B18XXT0+mT/GoWz9qcgOsZQxxD89MA1hKLN5VaA
N20kt2XP7SgLv6EJcqE1CyGJLoAGRxL/gZmkByNd5a07EfNnBllAPoxK/GmjUAZ9
RFPPjvnm4qV+7L8kHPKLYNfx/4Vefw==
=Ce4O
-----END PGP SIGNATURE-----

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon Oct 25 08:09:04 2021;